<?php
/**
 * GepTipoParcFluxoLogic.
 *
 * @package Logic
 * @author  daniellepereira <username@example.com>
 */
class GepTipoParcFluxoLogic {


    /**
     * Descri?: Gera o novo c?o de Tipo de Paceiro por Tipo de Fluxo.
     *
     * @param integer $nrorg  N?o da Organiza?.
     *
     * @return $codigo integer
     */
    public static function retornaProxNumeroTipoParcFluxo($nrorg){
        $codigo = GepTipoparcfluxoEntity::retornaProxNumeroTipoParcFluxo($nrorg);
        return $codigo;
    }


    /**
     * Retorna os tipos de parceiro de determinado tipo de fluxo.
     *
     * @param integer $nrorg       Numero da organizacao.
     * @param integer $nrtipofluxo Numero do tipo de fluxo.
     *
     * @return $consulta           Resultado da query.
     */
    public static function retornaTipoParceiroFluxo($nrorg, $nrtipofluxo){
        try{
            $consulta = GepTipoparcfluxoEntity::retornaTipoParceiroFluxo(
                $nrorg,
                $nrtipofluxo
            );
            return $consulta;
        } catch(Exception $e) {
            switch ($e->getCode())
            {
            case GepTipoparcfluxoEntity::SEM_TIPOPARCEIRO;
                return false;
            default:
                tk_message('Erro desconhecido: '.$e->getMessage());
            }
        }


    }


}